from pygame.time import Clock
import pygame
from events import TIMER_EXPIRED

class Timer(object):

    def __init__(self, time_remaining):
        self.time_remaining = time_remaining*1000
        self.clock = Clock()
        
    def update(self):
        clock_time = self.clock.tick()
        if clock_time<30:
            self.time_remaining -= clock_time

        if self.time_remaining<=0:
            pygame.event.post(pygame.event.Event(TIMER_EXPIRED, {}))

